---
title: Notification.timestamp
slug: Web/API/Notification/timestamp
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - timeStamp
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>timestamp</code></strong> read-only property of the {{domxref("Notification")}} interface returns a {{domxref("DOMTimeStamp")}}, as specified in the <code>timestamp</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<p>The notification's timestamp can represent the time, in milliseconds since 00:00:00 UTC on 1 January 1970, of the event for which the notification was created, or it can be an arbitrary timestamp that you want associated with the notification. For example, a timestamp for an upcoming meeting could be set in the future, whereas a timestamp for a missed message could be set in the past.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>timestamp</var> = <var>Notification</var>.timestamp;</pre>

<h3 id="Return_Value">Value</h3>

<p>A {{domxref("DOMTimeStamp")}}.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet fires a notification; a simple <code>options</code> object is created, then the notification is fired using the <code>Notification()</code> constructor.</p>

<pre class="brush: js notranslate">var dts = Math.floor(Date.now());

var options = {
  body: 'Do you like my body?',
  timestamp: dts
}

var n = new Notification('Test notification',options);

console.log(n.timestamp) // should log original timestamp</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-timestamp','timestamp')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.timestamp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
